{
  "codeName" : "Booklist",
  "controlType" : "LIST",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSLISTS/Booklist.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "groupMode" : "NONE",
  "height" : 300.0,
  "logicName" : "Booklist",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdelists/Booklist",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSDEDataImport" : {
    "modelref" : true,
    "id" : "DataImport"
  },
  "getPSDEListDataItems" : [ {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdescription",
    "getPSAppDEField" : {
      "name" : "SUBTEXT",
      "codeName" : "Subtext"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdate",
    "getPSAppDEField" : {
      "name" : "LENDOUTTIME",
      "codeName" : "Lendouttime"
    }
  }, {
    "dataType" : 25,
    "name" : "srficon",
    "getPSAppDEField" : {
      "name" : "ICON",
      "codeName" : "Icon"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmstag"
  } ],
  "pagingSize" : 1000,
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKDashboardView/psappviewctrls/dashboard_sysportlet2_list",
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "hasWFDataItems" : false,
  "enableGroup" : false,
  "enableRowEdit" : false,
  "enableRowEditGroup" : false,
  "enableRowEditOrder" : false,
  "enableRowNew" : false,
  "noSort" : false,
  "showHeader" : true,
  "modelid" : "8f8454afed10cc497ead10dd05dad18b",
  "modeltype" : "PSDELIST"
}